Update an incoming wire by id
curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_return": true,
"receiver": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"receiving_account_number": 1961234745,
"sender": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"sender_reference_id": "9F564A6124E65",
"status": "READY",
"tenant": "abcdef_ghijkl",
"bank_message": "<string>",
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"decline_reason": "<string>",
"effective_date": "2022-03-18",
"end_to_end_identification": "<string>",
"extracted_account_number": "1961234745",
"input_message_accountability_data": "10220318BANK0001123456",
"instruction_identification": "<string>",
"network": "fedwire",
"originating_account_number": 1961234745,
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"previous_message_id": "<string>",
"original_end_to_end_identification": "<string>",
"original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_instruction_identification": "<string>",
"original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transaction_identification": "<string>",
"original_uetr": "<string>",
"reason": "<string>",
"reason_code": "NARR"
},
"return_reason": "<string>",
"settlement_date": "2022-03-18",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_identification": "<string>",
"type_subtype": "BASIC_FUNDS_TRANSFER",
"uetr": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Incoming Wires
Update an incoming wire by id
Update an incoming wire by id
PATCH
/
wires
/
incoming
/
{wire_id}
Update an incoming wire by id
curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/wires/incoming/{wire_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_return": true,
"receiver": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"receiving_account_number": 1961234745,
"sender": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"sender_reference_id": "9F564A6124E65",
"status": "READY",
"tenant": "abcdef_ghijkl",
"bank_message": "<string>",
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"decline_reason": "<string>",
"effective_date": "2022-03-18",
"end_to_end_identification": "<string>",
"extracted_account_number": "1961234745",
"input_message_accountability_data": "10220318BANK0001123456",
"instruction_identification": "<string>",
"network": "fedwire",
"originating_account_number": 1961234745,
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"previous_message_id": "<string>",
"original_end_to_end_identification": "<string>",
"original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_instruction_identification": "<string>",
"original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transaction_identification": "<string>",
"original_uetr": "<string>",
"reason": "<string>",
"reason_code": "NARR"
},
"return_reason": "<string>",
"settlement_date": "2022-03-18",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_identification": "<string>",
"type_subtype": "BASIC_FUNDS_TRANSFER",
"uetr": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Path Parameters
Body
application/json
Patch incoming wire request
Response
wire
A mandatory reference assigned by the customer originating the payment, i.e., Debtor or Ultimate Debtor that must be transported unchanged throughout the payment chain and delivered to the end-customer, i.e., Creditor or Ultimate Creditor to facilitate the customer’s reconciliation.
Account number recovered from the unstructured recipient message when the structured beneficiary account number was missing or unusable. When the value matches a known account exactly, the wire is forwarded to the standard posting flow; otherwise it falls to suspense and ops can review this candidate.
Example:
"1961234745"
Was this page helpful?

